# ``twisted`.`internet`.`interfaces`.`IServiceCollection``

interface documentation

`class IServiceCollection(Interface): (source)`

View In Hierarchy

An object which provides access to a collection of services.

Method | `addService` | Add a service to this collection.
Method | `getServiceNamed` | Retrieve the named service from this application.
Method | `removeService` | Remove a service from this collection.

def addService(service): (source)
Add a service to this collection.

Parameters
service:`object` | Undocumented

def getServiceNamed(serviceName): (source)

Retrieve the named service from this application.

Raise a `KeyError` if there is no such service name.

Parameters
serviceName:`str` | Undocumented
Returns
`object` | Undocumented

def removeService(service): (source)
Remove a service from this collection.

Parameters
service:`object` | Undocumented